<div align="center">
    <!-- heading -->
    <div style="width: 98%">
        <!-- <mat-toolbar-row style="align-content: center"> -->
        <h3>
            <b>
               {{title}}
            </b>
        </h3>
        <!-- </mat-toolbar-row> -->
    </div>
    <mat-dialog-content>
        <form action="" [formGroup]="buildingForm">

            <div class="tab-content p-24" fusePerfectScrollbar>

          
                <!-- Department Name -->
               <mat-form-field appearance="outline" floatLabel="always" class="w-100-p">
                   <mat-label>Name</mat-label>
                   <input matInput placeholder="Enter Building Name" name="user_name" formControlName="name">
               </mat-form-field>
               
            
            <mat-form-field style="width: 100%;padding: 5%;" appearance="outline">
                <mat-label for="location">Select Location</mat-label>
                <mat-select formControlName="location_id">
                    <mat-option id="location_id" *ngFor="let l of allLocations" [value]="l.id">
                        {{l.address}}
                    </mat-option>
                </mat-select>
                <mat-icon matSuffix class="secondary-text">person</mat-icon>
                <mat-error>
                   Location is required
                </mat-error>
            </mat-form-field>
            <!-- <mat-form-field style="width: 100%;padding: 5%;" *ngIf="isSuperAdmin" appearance="outline">
                <mat-label for="org">Select Organization</mat-label>
                <mat-select formControlName="organization_id">
                    <mat-option id="org" *ngFor="let r of allOrganizationsList" [value]="r.id">
                        {{r.name}}
                    </mat-option>
                </mat-select>
                <mat-icon matSuffix class="secondary-text">person</mat-icon>
                <mat-error>
                    Organization is required
                </mat-error>
            </mat-form-field> -->
             
               <!-- <mat-form-field appearance="outline" floatLabel="always" class="w-100-p" *ngIf='isSuper_admin&&isNewDepartment' >
                <mat-label for="organization_id">Organization</mat-label>
                <mat-select formControlName="organization_id" >
                    <mat-option id="role" *ngFor="let r of allOrganizations" [value]="r.id">
                        {{r.name}}
                    </mat-option>
                </mat-select>
                <mat-icon matSuffix class="secondary-text">person</mat-icon>
                <mat-error>
                    Organization is required
                </mat-error>
            </mat-form-field> -->
            
           </div>
        </form>
    </mat-dialog-content>
    <mat-dialog-actions style="justify-content: space-evenly;">
        <div style="display: inline-flex;">
            <button [disabled]="buildingForm.invalid" mat-raised-button color="accent" (click)="submit()">
                Submit
            </button>
            &nbsp;
            <button mat-raised-button color="accent" (click)="cancel()">
                Cancel
            </button>

        </div>
    </mat-dialog-actions>

</div>